Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia configuration. More...
## Data Fields
IxAtmdAccUtopiaConfig::UtTxConfig_ | utTxConfig
| Tx config Utopia register.
IxAtmdAccUtopiaConfig::UtTxStatsConfig_ | utTxStatsConfig
| Tx stats config Utopia register.
IxAtmdAccUtopiaConfig::UtTxDefineIdle_ | utTxDefineIdle
| Tx idle cell config Utopia register.
IxAtmdAccUtopiaConfig::UtTxEnableFields_ | utTxEnableFields
| Tx enable Utopia register.
IxAtmdAccUtopiaConfig::UtTxTransTable0_ | utTxTransTable0
| Tx translation table.
IxAtmdAccUtopiaConfig::UtTxTransTable1_ | utTxTransTable1
| Tx translation table.
IxAtmdAccUtopiaConfig::UtTxTransTable2_ | utTxTransTable2
| Tx translation table.
IxAtmdAccUtopiaConfig::UtTxTransTable3_ | utTxTransTable3
| Tx translation table.
IxAtmdAccUtopiaConfig::UtTxTransTable4_ | utTxTransTable4
| Tx translation table.
IxAtmdAccUtopiaConfig::UtTxTransTable5_ | utTxTransTable5
| Tx translation table.
IxAtmdAccUtopiaConfig::UtRxConfig_ | utRxConfig
| Rx config Utopia register.
IxAtmdAccUtopiaConfig::UtRxStatsConfig_ | utRxStatsConfig
| Rx stats config Utopia register.
IxAtmdAccUtopiaConfig::UtRxDefineIdle_ | utRxDefineIdle
| Rx idle cell config Utopia register.
IxAtmdAccUtopiaConfig::UtRxEnableFields_ | utRxEnableFields
| Rx enable Utopia register.
IxAtmdAccUtopiaConfig::UtRxTransTable0_ | utRxTransTable0
| Rx translation table.
IxAtmdAccUtopiaConfig::UtRxTransTable1_ | utRxTransTable1
| Rx translation table.
IxAtmdAccUtopiaConfig::UtRxTransTable2_ | utRxTransTable2
| Rx translation table.
IxAtmdAccUtopiaConfig::UtRxTransTable3_ | utRxTransTable3
| Rx translation table.
IxAtmdAccUtopiaConfig::UtRxTransTable4_ | utRxTransTable4
| Rx translation table.
IxAtmdAccUtopiaConfig::UtRxTransTable5_ | utRxTransTable5
| Rx translation table.
IxAtmdAccUtopiaConfig::UtSysConfig_ | utSysConfig
| NPE debug config.
## Detailed Description Utopia configuration. This structure is used to set the Utopia parameters contains the values of Utopia registers, to be set during initialisation contains debug commands for NPE, to be used during development steps Note: - the exact description of all parameters is done in the Utopia reference documents. Definition at line 937 of file IxAtmdAccCtrl.h. ## Field Documentation
struct IxAtmdAccUtopiaConfig::UtRxConfig_ IxAtmdAccUtopiaConfig::utRxConfig
| Rx config Utopia register.
struct IxAtmdAccUtopiaConfig::UtRxDefineIdle_ IxAtmdAccUtopiaConfig::utRxDefineIdle
| Rx idle cell config Utopia register.
struct IxAtmdAccUtopiaConfig::UtRxEnableFields_ IxAtmdAccUtopiaConfig::utRxEnableFields
| Rx enable Utopia register.
struct IxAtmdAccUtopiaConfig::UtRxStatsConfig_ IxAtmdAccUtopiaConfig::utRxStatsConfig
| Rx stats config Utopia register.
struct IxAtmdAccUtopiaConfig::UtRxTransTable0_ IxAtmdAccUtopiaConfig::utRxTransTable0
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtRxTransTable1_ IxAtmdAccUtopiaConfig::utRxTransTable1
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtRxTransTable2_ IxAtmdAccUtopiaConfig::utRxTransTable2
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtRxTransTable3_ IxAtmdAccUtopiaConfig::utRxTransTable3
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtRxTransTable4_ IxAtmdAccUtopiaConfig::utRxTransTable4
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtRxTransTable5_ IxAtmdAccUtopiaConfig::utRxTransTable5
| Rx translation table.
struct IxAtmdAccUtopiaConfig::UtSysConfig_ IxAtmdAccUtopiaConfig::utSysConfig
| NPE debug config.
struct IxAtmdAccUtopiaConfig::UtTxConfig_ IxAtmdAccUtopiaConfig::utTxConfig
| Tx config Utopia register.
struct IxAtmdAccUtopiaConfig::UtTxDefineIdle_ IxAtmdAccUtopiaConfig::utTxDefineIdle
| Tx idle cell config Utopia register.
struct IxAtmdAccUtopiaConfig::UtTxEnableFields_ IxAtmdAccUtopiaConfig::utTxEnableFields
| Tx enable Utopia register.
struct IxAtmdAccUtopiaConfig::UtTxStatsConfig_ IxAtmdAccUtopiaConfig::utTxStatsConfig
| Tx stats config Utopia register.
struct IxAtmdAccUtopiaConfig::UtTxTransTable0_ IxAtmdAccUtopiaConfig::utTxTransTable0
| Tx translation table.
struct IxAtmdAccUtopiaConfig::UtTxTransTable1_ IxAtmdAccUtopiaConfig::utTxTransTable1
| Tx translation table.
struct IxAtmdAccUtopiaConfig::UtTxTransTable2_ IxAtmdAccUtopiaConfig::utTxTransTable2
| Tx translation table.
struct IxAtmdAccUtopiaConfig::UtTxTransTable3_ IxAtmdAccUtopiaConfig::utTxTransTable3
| Tx translation table.
struct IxAtmdAccUtopiaConfig::UtTxTransTable4_ IxAtmdAccUtopiaConfig::utTxTransTable4
| Tx translation table.
struct IxAtmdAccUtopiaConfig::UtTxTransTable5_ IxAtmdAccUtopiaConfig::utTxTransTable5
| Tx translation table.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003